// ================================================
// AreaDictionary
// ================================================

// Japanese prefecture and section names
function AreaDictionary() {
	LOG__("Object: AreaDictionary");
	this.loadPrefs();
}

AreaDictionary.prototype.loadPrefs = function() {
	LOG__("AreaDictionary.loadPrefs");
	this.prefData = new Object();
	this.loadPrefData();
	this.prefs = [
		{name:"Souya Area",                             array:this.prefData.Hokkaido0,	code:"301",	sName:"Hokkaido"},
		{name:"Kamikawa, Rumoi Area",					array:this.prefData.Hokkaido1,	code:"302",	sName:"Hokkaido"},
		{name:"Abashiri, Kitami, Monbetsu Area",		array:this.prefData.Hokkaido2,	code:"303",	sName:"Hokkaido"},
		{name:"Kushiro, Nemuro, Tokachi Area",          array:this.prefData.Hokkaido3,	code:"304",	sName:"Hokkaido"},
		{name:"Iburi, Hidaka Area",                     array:this.prefData.Hokkaido4,	code:"305",	sName:"Hokkaido"},
		{name:"Ishikari, Sorachi, Shiribeshi Area",     array:this.prefData.Hokkaido5,	code:"306",	sName:"Hokkaido"},
		{name:"Oshima, Hiyama Area",					array:this.prefData.Hokkaido6,	code:"307",	sName:"Hokkaido"},
		{name:"Aomori-ken",		array:this.prefData.Aomori,		code:"308"},
		{name:"Akita-ken",		array:this.prefData.Akita,		code:"309"},
		{name:"Iwate-ken",		array:this.prefData.Iwate,		code:"310"},
		{name:"Yamagata-ken",	array:this.prefData.Yamagata,	code:"311"},
		{name:"Miyagi-ken",		array:this.prefData.Miyagi,		code:"312"},
		{name:"Fukushima-ken",	array:this.prefData.Fukushima,	code:"313"},
		{name:"Tochigi-ken",	array:this.prefData.Tochigi,	code:"316"},
		{name:"Gunma-ken",		array:this.prefData.Gunma,		code:"315"},
		{name:"Saitama-ken",	array:this.prefData.Saitama,	code:"317"},
		{name:"Ibaraki-ken",	array:this.prefData.Ibaraki,	code:"314"},
		{name:"Chiba-ken",		array:this.prefData.Chiba,		code:"318"},
		{name:"Tokyo-to",		array:this.prefData.Tokyo,		code:"319"},
		{name:"Kanagawa-ken",	array:this.prefData.Kanagawa,	code:"320"},
		{name:"Nagano-ken",		array:this.prefData.Nagano,		code:"322"},
		{name:"Yamanashi-ken",	array:this.prefData.Yamanashi,	code:"321"},
		{name:"Shizuoka-ken",	array:this.prefData.Shizuoka,	code:"327"},
		{name:"Gifu-ken",		array:this.prefData.Gifu,		code:"328"},
		{name:"Aichi-ken",		array:this.prefData.Aichi,		code:"329"},
		{name:"Mie-ken",		array:this.prefData.Mie,		code:"330"},
		{name:"Nigata-ken",		array:this.prefData.Nigata,		code:"323"},
		{name:"Toyama-ken",		array:this.prefData.Toyama,		code:"324"},
		{name:"Ishikawa-ken",	array:this.prefData.Ishikawa,	code:"325"},
		{name:"Fukui-ken",		array:this.prefData.Fukui,		code:"326"},
		{name:"Shiga-ken",		array:this.prefData.Shiga,		code:"334"},
		{name:"Kyoto-fu",		array:this.prefData.Kyoto,		code:"333"},
		{name:"Nara-ken",		array:this.prefData.Nara,		code:"335"},
		{name:"Osaka-fu",		array:this.prefData.Osaka,		code:"331"},
		{name:"Hyougo-ken",		array:this.prefData.Hyougo,		code:"332"},
		{name:"Wakayama-ken",	array:this.prefData.Wakayama,	code:"336"},
		{name:"Tottori-ken",	array:this.prefData.Tottori,	code:"339"},
		{name:"Shimane-ken",	array:this.prefData.Shimane,	code:"337"},
		{name:"Okayama-ken",	array:this.prefData.Okayama,	code:"340"},
		{name:"Hiroshima-ken",	array:this.prefData.Hiroshima,	code:"338"},
		{name:"Kagawa-ken",		array:this.prefData.Kagawa,		code:"341"},
		{name:"Tokushima-ken",	array:this.prefData.Tokushima,	code:"343"},
		{name:"Ehime-ken",		array:this.prefData.Ehime,		code:"342"},
		{name:"Kochi-ken",		array:this.prefData.Kochi,		code:"344"},
		{name:"Yamaguchi-ken",	array:this.prefData.Yamaguchi,	code:"345"},
		{name:"Fukuoka-ken",	array:this.prefData.Fukuoka,	code:"346"},
		{name:"Oita-ken",		array:this.prefData.Oita,		code:"350"},
		{name:"Saga-ken",		array:this.prefData.Saga,		code:"347"},
		{name:"Kumamoto-ken",	array:this.prefData.Kumamoto,	code:"349"},
		{name:"Nagasaki-ken",	array:this.prefData.Nagasaki,	code:"348"},
		{name:"Miyazaki-ken",	array:this.prefData.Miyazaki,	code:"351"},
		{name:"Kagoshima-ken",	array:this.prefData.Kagoshima,	code:"352"},
		{name:"Okinawa Island Area",	array:this.prefData.Okinawa0,		code:"353",	sName:"Okinawa-ken"},
		{name:"Daito Island Area",		array:this.prefData.Okinawa1,		code:"354",	sName:"Okinawa-ken"},
		{name:"Miyako Island Area",		array:this.prefData.Okinawa2,		code:"355",	sName:"Okinawa-ken"},
		{name:"Yaeyama Area",			array:this.prefData.Okinawa3,		code:"356",	sName:"Okinawa-ken"},
	];
}

AreaDictionary.prototype.loadPrefData = function() {
	LOG__("AreaDictionary.loadPrefData");
	
	this.prefData.Hokkaido0 = [
		{name:"Souya Area",			code:0,		wCode1:0,	wName1:"Souya Area",	city:["Wakkanai"]},
	];
	
	this.prefData.Hokkaido1 = [
		{name:"Kamikawa Area",		code:0,		wCode1:0,	wName1:"Kamikawa, Rumoi Area",	city:["Asahikawa"]},
		{name:"Rumoi Area",			code:1,		wCode1:0,	wName1:"Kamikawa, Rumoi Area",	city:["Rumoi"]},
	];
	
	this.prefData.Hokkaido2 = [
		{name:"Abashiri Area",		code:0,		wCode1:0,	wName1:"Abashiri, Kitami, Monbetsu Area",	city:["Abashiri"]},
		{name:"Kitami Area",		code:1,		wCode1:0,	wName1:"Abashiri, Kitami, Monbetsu Area",	city:["Kitami"]},
		{name:"Monbetsu Area",		code:2,		wCode1:0,	wName1:"Abashiri, Kitami, Monbetsu Area",	city:["Monbetsu"]},
	];
	
	this.prefData.Hokkaido3 = [
		{name:"Nemuro Area",		code:0,		wCode1:0,	wName1:"Kushiro, Nemuro, Tokachi Area",
												wCode2:0,	wName2:"Kushiro, Nemuro Area",	city:["Nemuro"]},
		{name:"Kushiro Area",		code:1,		wCode1:0,	wName1:"Kushiro, Nemuro, Tokachi Area",
												wCode2:0,	wName2:"Kushiro, Nemuro Area",	city:["Kushiro"]},
		{name:"Tokachi Area",		code:2,		wCode1:0,	wName1:"Kushiro, Nemuro, Tokachi Area",
												wCode2:1,	wName2:"Tokachi Area",	city:["Obihiro"]},
	];
	
	this.prefData.Hokkaido4 = [
		{name:"Iburi Area",			code:0,		wCode1:0,	wName1:"Iburi, Hidaka Area",	city:["Muroran"]},
		{name:"Hidaka Area",		code:1,		wCode1:0,	wName1:"Iburi, Hidaka Area",	city:["Urakawa"]},
	];
	
	this.prefData.Hokkaido5 = [
		{name:"Ishikari Area",		code:0,		wCode1:0,	wName1:"Ishikari, Sorachi, Shiribeshi Area",	city:["Sapporo"]},
		{name:"Sorachi Area",		code:1,		wCode1:0,	wName1:"Ishikari, Sorachi, Shiribeshi Area",	city:["Iwamizawa"]},
		{name:"Shiribeshi Area",	code:2,		wCode1:0,	wName1:"Ishikari, Sorachi, Shiribeshi Area",	city:["Kucchan"]},
	];
	
	this.prefData.Hokkaido6 = [
		{name:"Oshima Area",		code:0,		wCode1:0,	wName1:"Oshima, Hiyama Area",	city:["Hakodate"]},
		{name:"Hiyama Area",		code:1,		wCode1:0,	wName1:"Oshima, Hiyama Area",	city:["Esashi"]},
	];
	
	this.prefData.Aomori = [
		{name:"Tsugaru",			code:0,		wCode1:0,	wName1:"Aomori",
												wCode2:0,	wName2:"Tsugaru",	city:["Aomori", "Hirosaki", "Fukaura"]},
		{name:"Shimokita",			code:1,		wCode1:0,	wName1:"Aomori",
												wCode2:1,	wName2:"Shimokita, Sanpachi-Kamikita",	city:["Mutsu"]},
		{name:"Sanpachi-Kamikita",	code:2,		wCode1:0,	wName1:"Aomori",
												wCode2:1,	wName2:"Shimokita, Sanpachi-Kamikita",	city:["Hachinohe"]},
	];

/*
	this.prefData.Aomori = [
		{name:"Tsugaru",			code:0,		wCode1:0,	wName1:"Aomori",
												wCode2:0,	wName2:"Tsugaru, Shimokita",	city:["Aomori", "Hirosaki", "Fukaura"]},
		{name:"Shimokita",			code:1,		wCode1:0,	wName1:"Aomori",
												wCode2:0,	wName2:"Tsugaru, Shimokita",	city:["Mutsu"]},
		{name:"Sanpachi-Kamikita",	code:2,		wCode1:0,	wName1:"Aomori",
												wCode2:1,	wName2:"Sanpachi-Kamikita",	city:["Hachinohe"]},
	];
*/
	
	this.prefData.Akita = [
		{name:"Coast",				code:0,		wCode1:0,	wName1:"Akita-ken",	city:["Akita"]},
		{name:"Inland",				code:1,		wCode1:0,	wName1:"Akita-ken",	city:["Yokote", "Takanosu"]},
	];
	
	this.prefData.Iwate = [
		{name:"Inland",				code:0,		wCode1:0,	wName1:"Iwate-ken",
												wCode2:0,	wName2:"Inland",	city:["Morioka", "Ninohe", "Ichinoseki"]},
		{name:"Coast North",		code:1,		wCode1:0,	wName1:"Iwate-ken",
												wCode2:1,	wName2:"Coast",	city:["Miyako"]},
		{name:"Coast South",		code:2,		wCode1:0,	wName1:"Iwate-ken",
												wCode2:1,	wName2:"Coast",	city:["Ofunato"]},
	];
	
	this.prefData.Yamagata = [
		{name:"Murayama",			code:0,		wCode1:0,	wName1:"Yamagata-ken",	city:["Yamagata"]},
		{name:"Okitama",			code:1,		wCode1:0,	wName1:"Yamagata-ken",	city:["Yonezawa"]},
		{name:"Shonai",				code:2,		wCode1:0,	wName1:"Yamagata-ken",	city:["Sakata"]},
		{name:"Mogami",				code:3,		wCode1:0,	wName1:"Yamagata-ken",	city:["Shinjyo"]},
	];
	
	this.prefData.Miyagi = [
		{name:"East",				code:0,		wCode1:0,	wName1:"Miyagi-ken",
												wCode2:0,	wName2:"East",	city:["Sendai", "Furukawa", "Ishinomaki"]},
		{name:"West",				code:1,		wCode1:0,	wName1:"Miyagi-ken",
												wCode2:1,	wName2:"West",	city:["Shiroishi"]},
	];
	
	this.prefData.Fukushima = [
		{name:"Nakadori",			code:0,		wCode1:0,	wName1:"Fukushima",
												wCode2:0,	wName2:"Nakadori, Hamadori",
												wCode3:0,	wName3:"Nakadori",	city:["Fukushima", "Koriyama", "Shirakawa"]},
		{name:"Hamadori",			code:1,		wCode1:0,	wName1:"Fukushima",
												wCode2:0,	wName2:"Nakadori, Hamadori",
												wCode3:1,	wName3:"Hamadori",	city:["Onahama", "Soma"]},
		{name:"Aidu",				code:2,		wCode1:0,	wName1:"Fukushima",
												wCode2:1,	wName2:"Aidu",
												wCode3:2,	wName3:"Aidu",	city:["Wakamatsu", "Tajima"]},
	];
	
	this.prefData.Tochigi = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Tochigi-ken",	city:["Utsunomiya"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Tochigi-ken",	city:["Otawara"]},
	];
	
	this.prefData.Gunma = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Gunma-ken",
												wCode2:0,	wName2:"South",	city:["Maebashi"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Gunma-ken",
												wCode2:1,	wName2:"North",	city:["Minakami"]},
	];
	
	this.prefData.Saitama = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Saitama-ken",	city:["Saitama"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Saitama-ken",	city:["Kumagaya"]},
		{name:"Chichibu Area",		code:2,		wCode1:0,	wName1:"Saitama-ken",	city:["Chichibu"]},
	];
	
	this.prefData.Ibaraki = [
		{name:"North",				code:0,		wCode1:0,	wName1:"Ibaraki-ken",	city:["Mito"]},
		{name:"South",				code:1,		wCode1:0,	wName1:"Ibaraki-ken",	city:["Tsuchiura"]},
	];
	
	this.prefData.Chiba = [
		{name:"North-West",			code:0,		wCode1:0,	wName1:"Chiba-ken",	city:["Chiba"]},
		{name:"North-East",			code:1,		wCode1:0,	wName1:"Chiba-ken",	city:["Choshi"]},
		{name:"South",				code:2,		wCode1:0,	wName1:"Chiba-ken",	city:["Tateyama"]},
	];
	
	this.prefData.Tokyo = [
		{name:"Tokyo Area",			code:0,		wCode1:0,	wName1:"Tokyo",
												wCode2:0,	wName2:"Tokyo Area",
												wCode3:0,	wName3:"Tokyo Area",
												wCode4:0,	wName4:"Tokyo Area",	city:["Tokyo"]},
		{name:"Izu Islands North",	code:1,		wCode1:0,	wName1:"Tokyo",
												wCode2:1,	wName2:"Izu Islands",
												wCode3:1,	wName3:"Izu Islands",
												wCode4:1,	wName4:"Izu Islands North",	city:["Oshima Island"]},
		{name:"Izu Islands South",	code:2,		wCode1:0,	wName1:"Tokyo",
												wCode2:1,	wName2:"Izu Islands",
												wCode3:1,	wName3:"Izu Islands",
												wCode4:2,	wName4:"Izu Islands South",	city:["Hachijojima Island"]},
		{name:"Ogasawara Islands",	code:3,		wCode1:0,	wName1:"Tokyo",
												wCode2:1,	wName2:"Izu Islands",
												wCode3:2,	wName3:"Ogasawara Islands",
												wCode4:3,	wName4:"Ogasawara Islands",	city:["Chichijima Island"]},
	];
	
	this.prefData.Kanagawa = [
		{name:"East",				code:0,		wCode1:0,	wName1:"Kanagawa-ken",	city:["Yokohama"]},
		{name:"West",				code:1,		wCode1:0,	wName1:"Kanagawa-ken",	city:["Odawara"]},
	];
	
	this.prefData.Nagano = [
		{name:"North",				code:0,		wCode1:0,	wName1:"Nagano-ken",
												wCode2:0,	wName2:"North",			city:["Nagano"]},
		{name:"Central",			code:1,		wCode1:0,	wName1:"Nagano-ken",
												wCode2:1,	wName2:"Central, South",	city:["Matsumoto", "Suwa", "Karuizawa"]},
		{name:"South",				code:2,		wCode1:0,	wName1:"Nagano-ken",
												wCode2:1,	wName2:"Central, South",	city:["Iida"]},
	];
	
	this.prefData.Yamanashi = [
		{name:"Central, West",		code:0,		wCode1:0,	wName1:"Yamanashi-ken",	city:["Kofu"]},
		{name:"East, Fuji-Goko",	code:1,		wCode1:0,	wName1:"Yamanashi-ken",	city:["Kawaguchiko"]},
	];
	
	this.prefData.Shizuoka = [
		{name:"Central",			code:0,		wCode1:0,	wName1:"Shizuoka-ken",	city:["Shizuoka"]},
		{name:"Izu",				code:1,		wCode1:0,	wName1:"Shizuoka-ken",	city:["Ajiro", "Irouzaki"]},
		{name:"East",				code:2,		wCode1:0,	wName1:"Shizuoka-ken",	city:["Mishima"]},
		{name:"West",				code:3,		wCode1:0,	wName1:"Shizuoka-ken",	city:["Hamamatsu", "Omaezaki"]},
	];
	
	this.prefData.Gifu = [
		{name:"Mino Area",			code:0,		wCode1:0,	wName1:"Gifu-ken",
												wCode2:0,	wName2:"Mino Area",	city:["Gifu"]},
		{name:"Hida Area",			code:1,		wCode1:0,	wName1:"Gifu-ken",
												wCode2:1,	wName2:"Hida Area",	city:["Takayama"]},
	];
	
	this.prefData.Aichi = [
		{name:"West",				code:0,		wCode1:0,	wName1:"Aichi-ken",	city:["Nagoya"]},
		{name:"East",				code:1,		wCode1:0,	wName1:"Aichi-ken",	city:["Toyohashi"]},
	];
	
	this.prefData.Mie = [
		{name:"North-Middle",		code:0,		wCode1:0,	wName1:"Mie-ken",	city:["Tsu", "Ueno", "Yotsukaichi"]},
		{name:"South",				code:1,		wCode1:0,	wName1:"Mie-ken",	city:["Owase"]},
	];
	
	this.prefData.Nigata = [
		{name:"Kaetsu",				code:0,		wCode1:0,	wName1:"Nigata-ken",	city:["Niigata", "Tsugawa"]},
		{name:"Chuetsu",			code:1,		wCode1:0,	wName1:"Nigata-ken",	city:["Nagaoka", "Yuzawa"]},
		{name:"Joetsu",				code:2,		wCode1:0,	wName1:"Nigata-ken",	city:["Takada"]},
		{name:"Sado",				code:3,		wCode1:0,	wName1:"Nigata-ken",	city:["Aikawa"]},
	];
	
	this.prefData.Toyama = [
		{name:"East",				code:0,		wCode1:0,	wName1:"Toyama-ken",	city:["Toyama"]},
		{name:"West",				code:1,		wCode1:0,	wName1:"Toyama-ken",	city:["Fushiki"]},
	];
	
	this.prefData.Ishikawa = [
		{name:"Kaga",				code:0,		wCode1:0,	wName1:"Ishikawa-ken",	city:["Kanazawa"]},
		{name:"Noto",				code:1,		wCode1:0,	wName1:"Ishikawa-ken",	city:["Wajima"]},
	];
	
	this.prefData.Fukui = [
		{name:"Reihoku",			code:0,		wCode1:0,	wName1:"Fukui-ken",	city:["Fukui", "Oono"]},
		{name:"Reinan",				code:1,		wCode1:0,	wName1:"Fukui-ken",	city:["Tsuruga"]},
	];
	
	this.prefData.Shiga = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Shiga-ken",
												wCode2:0,	wName2:"South",	city:["Otsu"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Shiga-ken",
												wCode2:1,	wName2:"North",	city:["Hikone"]},
	];
	
	this.prefData.Kyoto = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Kyoto-fu",
												wCode2:0,	wName2:"South",	city:["Kyoto"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Kyoto-fu",
												wCode2:1,	wName2:"North",	city:["Maizuru"]},
	];
	
	this.prefData.Nara = [
		{name:"North",				code:0,		wCode1:0,	wName1:"Nara-ken",	city:["Nara"]},
		{name:"South",				code:1,		wCode1:0,	wName1:"Nara-ken",	city:["Kazeya"]},
	];
	
	this.prefData.Osaka = [
		{name:"Osaka-fu",			code:0,		wCode1:0,	wName1:"Osaka-fu",	city:["Osaka"]},
	];
	
	this.prefData.Hyougo = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Hyougo-ken",
												wCode2:0,	wName2:"South",	city:["Koube", "Himeji", "Sumoto"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Hyougo-ken",
												wCode2:1,	wName2:"North",	city:["Toyooka"]},
	];
	
	this.prefData.Wakayama = [
		{name:"North",				code:0,		wCode1:0,	wName1:"Wakayama-ken",	city:["Wakayama"]},
		{name:"South",				code:1,		wCode1:0,	wName1:"Wakayama-ken",	city:["Shionomisaki"]},
	];
	
	this.prefData.Tottori = [
		{name:"East",				code:0,		wCode1:0,	wName1:"Tottori-ken",	city:["Tottori"]},
		{name:"Central, West",		code:1,		wCode1:0,	wName1:"Tottori-ken",	city:["Yonago"]},
	];
	
	this.prefData.Shimane = [
		{name:"East",				code:0,		wCode1:0,	wName1:"Shimane-ken",	city:["Matsue"]},
		{name:"West",				code:1,		wCode1:0,	wName1:"Shimane-ken",	city:["Hamada"]},
		{name:"Oki",				code:2,		wCode1:0,	wName1:"Shimane-ken",	city:["Saigo"]},
	];
	
	this.prefData.Okayama = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Okayama-ken",
												wCode2:0,	wName2:"South",	city:["Okayama"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Okayama-ken",
												wCode2:1,	wName2:"North",	city:["Tsuyama"]},
	];
	
	this.prefData.Hiroshima = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Hiroshima-ken",
												wCode2:0,	wName2:"South",	city:["Hiroshima", "Kure", "Fukuyama"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Hiroshima-ken",
												wCode2:1,	wName2:"North",	city:["Shobara"]},
	];
	
	this.prefData.Kagawa = [
		{name:"Kagawa-ken",			code:0,		wCode1:0,	wName1:"Kagawa-ken",	city:["Takamatsu"]},
	];
	
	this.prefData.Tokushima = [
		{name:"North",				code:0,		wCode1:0,	wName1:"Tokushima-ken",	city:["Tokushima", "Ikeda"]},
		{name:"South",				code:1,		wCode1:0,	wName1:"Tokushima-ken",	city:["Hiwasa"]},
	];
	
	this.prefData.Ehime = [
		{name:"Chuyo",				code:0,		wCode1:0,	wName1:"Ehime-ken",
												wCode2:0,	wName2:"Chuyo, Toyo",	city:["Matsuyama"]},
		{name:"Toyo",				code:1,		wCode1:0,	wName1:"Ehime-ken",
												wCode2:0,	wName2:"Chuyo, Toyo",	city:["Niihama"]},
		{name:"Nanyo",				code:2,		wCode1:0,	wName1:"Ehime-ken",
												wCode2:1,	wName2:"Nanyo",	city:["Uwazima"]},
	];
	
	this.prefData.Kochi = [
		{name:"Central",			code:0,		wCode1:0,	wName1:"Kochi-ken",	city:["Kochi"]},
		{name:"East",				code:1,		wCode1:0,	wName1:"Kochi-ken",	city:["Murotomisaki"]},
		{name:"West",				code:2,		wCode1:0,	wName1:"Kochi-ken",	city:["Shimizu"]},
	];
	
	this.prefData.Yamaguchi = [
		{name:"West",				code:0,		wCode1:0,	wName1:"Yamaguchi-ken",	city:["Shimonoseki"]},
		{name:"Central",			code:1,		wCode1:0,	wName1:"Yamaguchi-ken",	city:["Yamaguchi"]},
		{name:"East",				code:2,		wCode1:0,	wName1:"Yamaguchi-ken",	city:["Yanai"]},
		{name:"North",				code:3,		wCode1:0,	wName1:"Yamaguchi-ken",	city:["Hagi"]},
	];
	
	this.prefData.Fukuoka = [
		{name:"Fukuoka Area",		code:0,		wCode1:0,	wName1:"Fukuoka-ken",	city:["Fukuoka"]},
		{name:"Kitakyushu Area",	code:1,		wCode1:0,	wName1:"Fukuoka-ken",	city:["Yahata"]},
		{name:"Chikuho Area",		code:2,		wCode1:0,	wName1:"Fukuoka-ken",	city:["Iizuka"]},
		{name:"Chikugo Area",		code:3,		wCode1:0,	wName1:"Fukuoka-ken",	city:["Kurume"]},
	];
	
	this.prefData.Oita = [
		{name:"Central",			code:0,		wCode1:0,	wName1:"Oita-ken",	city:["Oita"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Oita-ken",	city:["Nakatsu"]},
		{name:"West",				code:2,		wCode1:0,	wName1:"Oita-ken",	city:["Hita"]},
		{name:"South",				code:3,		wCode1:0,	wName1:"Oita-ken",	city:["Saiki"]},
	];
	
	this.prefData.Saga = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Saga-ken",	city:["Saga"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Saga-ken",	city:["Imari"]},
	];
	
	this.prefData.Kumamoto = [
		{name:"Kumamoto Area",			code:0,		wCode1:0,	wName1:"Kumamoto-ken",	city:["Kumamoto"]},
		{name:"Aso Area",				code:1,		wCode1:0,	wName1:"Kumamoto-ken",	city:["Asootohime"]},
		{name:"Amakusa, Ashikita Area",	code:2,		wCode1:0,	wName1:"Kumamoto-ken",	city:["Ushibuka"]},
		{name:"Kuma Area",				code:3,		wCode1:0,	wName1:"Kumamoto-ken",	city:["Hitoyoshi"]},
	];
	
	this.prefData.Nagasaki = [
		{name:"South",				code:0,		wCode1:0,	wName1:"Nagasaki-ken",
												wCode2:0,	wName2:"Nanbu, Hokubu, Goto",	city:["Nagasaki"]},
		{name:"North",				code:1,		wCode1:0,	wName1:"Nagasaki-ken",
												wCode2:0,	wName2:"Nanbu, Hokubu, Goto",	city:["Sasebo"]},
		{name:"Iki, Tsushima",		code:2,		wCode1:0,	wName1:"Nagasaki-ken",
												wCode2:1,	wName2:"Iki, Tsushima",	city:["Izuhara"]},
		{name:"Goto",				code:3,		wCode1:0,	wName1:"Nagasaki-ken",
												wCode2:0,	wName2:"Nanbu, Hokubu, Goto",	city:["Fukue"]},
	];
	
	this.prefData.Miyazaki = [
		{name:"South Plain",		code:0,		wCode1:0,	wName1:"Miyazaki-ken",	city:["Miyazaki", "Aburatsu"]},
		{name:"North Plain",		code:1,		wCode1:0,	wName1:"Miyazaki-ken",	city:["Nobeoka"]},
		{name:"South Mountain",		code:2,		wCode1:0,	wName1:"Miyazaki-ken",	city:["Miyakonojo"]},
		{name:"North Mountain",		code:3,		wCode1:0,	wName1:"Miyazaki-ken",	city:["Takachiho"]},
	];
	
	this.prefData.Kagoshima = [
		{name:"Satsuma Area",		code:0,		wCode1:0,	wName1:"Kagoshima-ken",
												wCode2:0,	wName2:"Exc. Amami Area",	city:["Kagoshima", "Akune", "Makurazaki"]},
		{name:"Osumi Area",			code:1,		wCode1:0,	wName1:"Kagoshima-ken",
												wCode2:0,	wName2:"Exc. Amami Area",	city:["Kanoya"]},
		{name:"Tanegashima, Yakushima Area",	code:2,		wCode1:0,	wName1:"Kagoshima-ken",
												wCode2:0,	wName2:"Exc. Amami Area",	city:["Tanegashima"]},
		{name:"Amami Area",			code:3,		wCode1:0,	wName1:"Kagoshima-ken",
												wCode2:1,	wName2:"Amami Area",	city:["Naze", "Okinoerabu"]},
	];
	
	this.prefData.Okinawa0 = [
		{name:"Main Island Central South",	code:0,		wCode1:0,	wName1:"Okinawa Island Area",	city:["Naha"]},
		{name:"Main Island North",		code:1,			wCode1:0,	wName1:"Okinawa Island Area",	city:["Nago"]},
		{name:"Kume Island",			code:2,			wCode1:0,	wName1:"Okinawa Island Area",	city:["Kumejima"]},
	];
	
	this.prefData.Okinawa1 = [
		{name:"Daito Island Area",		code:0,		wCode1:0,	wName1:"Daito Island Area",	city:["Minamidaitojima"]},
	];
	
	this.prefData.Okinawa2 = [
		{name:"Miyako Island Area",		code:0,		wCode1:0,	wName1:"Miyako Island Area",	city:["Miyakojima"]},
	];
	
	this.prefData.Okinawa3 = [
		{name:"Ishigaki Island Area",	code:0,		wCode1:0,	wName1:"Yaeyama Area",	city:["Ishigakijima"]},
		{name:"Yonaguni Island Area",	code:1,		wCode1:0,	wName1:"Yaeyama Area",	city:["Yonagunijima"]},
	];
}
